<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $db_host = $_POST['db_host'];
    $db_name = $_POST['db_name'];
    $db_user = $_POST['db_user'];
    $db_pass = $_POST['db_pass'];

    $db_config = <<<PHP
<?php
\$host = '$db_host';
\$db_name = '$db_name';
\$username = '$db_user';
\$password = '$db_pass';

try {
    \$pdo = new PDO("mysql:host=\$host;dbname=\$db_name", \$username, \$password);
    \$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException \$e) {
    die("Database connection failed: " . \$e->getMessage());
}
?>
PHP;

    file_put_contents('../config/database.php', $db_config);
    echo "Installation successful! Proceed to login.";
    exit;
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>ERP Setup</title>
</head>
<body>
    <h1>ERP Setup Wizard</h1>
    <form method="POST">
        Database Host: <input type="text" name="db_host" required><br>
        Database Name: <input type="text" name="db_name" required><br>
        Username: <input type="text" name="db_user" required><br>
        Password: <input type="password" name="db_pass"><br>
        <button type="submit">Install ERP</button>
    </form>
</body>
</html>
