<?php
require_once '../config/database.php';

$stmt = $pdo->query("SELECT * FROM sales");
$sales = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html>
<head>
    <title>Sales Records</title>
</head>
<body>
    <h1>Sales Records</h1>
    <table border="1">
        <tr>
            <th>ID</th>
            <th>Customer Name</th>
            <th>Product</th>
            <th>Amount</th>
        </tr>
        <?php foreach ($sales as $sale): ?>
        <tr>
            <td><?= $sale['id']; ?></td>
            <td><?= $sale['customer_name']; ?></td>
            <td><?= $sale['product']; ?></td>
            <td><?= $sale['amount']; ?></td>
        </tr>
        <?php endforeach; ?>
    </table>
</body>
</html>
